Index: main/plugin-ugc/i18n/messages_en.xml
===================================================================
--- main/plugin-ugc/i18n/messages_en.xml	(revision 37724)
+++ main/plugin-ugc/i18n/messages_en.xml	(working copy)
@@ -136,7 +136,7 @@
     <message key="PLUGINS_UGC_SERVICE_FORM_AUTHOR_HIDE_EMAIL">Hide email :</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_TITLE">Title :</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_CONTENT">Text :</message>
-    <message key="PLUGINS_UGC_SERVICE_FORM_CAPTCHA">Image text :</message>
+    <message key="PLUGINS_UGC_SERVICE_FORM_CAPTCHA">Verification :</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_EDIT_CONTENT">Write the content</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_SUBMIT">Send</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_RESET">Cancel</message>
@@ -146,7 +146,7 @@
     <message key="PLUGINS_UGC_CONTENT_ERROR_CONTENT_TITLE">You must enter a title</message>
     <message key="PLUGINS_UGC_CONTENT_ERROR_EMAIL">The email is not valid email address</message>
     <message key="PLUGINS_UGC_CONTENT_ERROR_TEXT">Your content is empty</message>
-    <message key="PLUGINS_UGC_CONTENT_ERROR_CAPTCHA">The image's letters do not match the letters you typed</message>
+    <message key="PLUGINS_UGC_CONTENT_ERROR_CAPTCHA">The verification does not match the letters you typed</message>
 
     <message key="PLUGINS_UGC_CONTENT_SENT_TITLE">Content submitted</message>
     <message key="PLUGINS_UGC_CONTENT_SENT_DESCRIPTION">Your suggestion of content has been sent and will be publihed once it is validated by a moderator.</message>
Index: main/plugin-ugc/i18n/messages_fr.xml
===================================================================
--- main/plugin-ugc/i18n/messages_fr.xml	(revision 37724)
+++ main/plugin-ugc/i18n/messages_fr.xml	(working copy)
@@ -136,7 +136,7 @@
     <message key="PLUGINS_UGC_SERVICE_FORM_AUTHOR_HIDE_EMAIL">Masquer l'adresse email :</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_TITLE">Titre :</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_CONTENT">Texte :</message>
-    <message key="PLUGINS_UGC_SERVICE_FORM_CAPTCHA">Texte de l'image :</message>
+    <message key="PLUGINS_UGC_SERVICE_FORM_CAPTCHA">Vérification :</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_EDIT_CONTENT">Rédiger le contenu</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_SUBMIT">Envoyer</message>
     <message key="PLUGINS_UGC_SERVICE_FORM_RESET">Annuler</message>
@@ -146,7 +146,7 @@
     <message key="PLUGINS_UGC_CONTENT_ERROR_CONTENT_TITLE">Vous devez saisir un titre</message>
     <message key="PLUGINS_UGC_CONTENT_ERROR_EMAIL">L'adresse email saisie n'est pas valide</message>
     <message key="PLUGINS_UGC_CONTENT_ERROR_TEXT">Votre contenu est vide</message>
-    <message key="PLUGINS_UGC_CONTENT_ERROR_CAPTCHA">Les lettres figurant dans l'image ne correspondent pas aux lettres que vous avez saisi</message>
+    <message key="PLUGINS_UGC_CONTENT_ERROR_CAPTCHA">La vérification ne correspond pas à ce qui est attendu</message>
 
     <message key="PLUGINS_UGC_CONTENT_SENT_TITLE">Contenu soumis</message>
     <message key="PLUGINS_UGC_CONTENT_SENT_DESCRIPTION">Votre suggestion de contenu a bien été envoyée et sera visible en ligne dès qu'il sera validé par un modérateur.</message>
Index: main/plugin-ugc/pages/services/ugc/form_1.0.xsl
===================================================================
--- main/plugin-ugc/pages/services/ugc/form_1.0.xsl	(revision 37724)
+++ main/plugin-ugc/pages/services/ugc/form_1.0.xsl	(working copy)
@@ -194,19 +194,6 @@
 					idInput.parentsUntil('.field').parent().removeClass('error');
 				}
 				
-				if (hasCaptcha == "true")	
-				{
-					if (!/^[a-z]{6}$/.test(captchaInput.val()))
-					{
-						errors = true;
-						captchaInput.parentsUntil('.field').parent().addClass('error');
-					}
-					else
-					{
-						captchaInput.parentsUntil('.field').parent().removeClass('error');
-					}
-                }
-                
 				if (!errors)
 				{
 					// send it in ajax
Index: main/plugin-ugc/src/org/ametys/plugins/ugc/actions/ProposeUGCContentAction.java
===================================================================
--- main/plugin-ugc/src/org/ametys/plugins/ugc/actions/ProposeUGCContentAction.java	(revision 37724)
+++ main/plugin-ugc/src/org/ametys/plugins/ugc/actions/ProposeUGCContentAction.java	(working copy)
@@ -296,17 +296,10 @@
         {
             String captchaKey = request.getParameter(PARAMETER_CAPTCHA_KEY);
             String captchaValue = request.getParameter(PARAMETER_CAPTCHA_VALUE);
-            if (StringUtils.isBlank(captchaKey) || StringUtils.isBlank(captchaValue))
+            if (!CaptchaHelper.checkAndInvalidate(captchaKey, captchaValue))
             {
                 errors.add("plugin.ugc:PLUGINS_UGC_CONTENT_ERROR_CAPTCHA");
             }
-            else 
-            {
-                if (!CaptchaHelper.checkAndInvalidate(captchaKey, captchaValue))
-                {
-                    errors.add("plugin.ugc:PLUGINS_UGC_CONTENT_ERROR_CAPTCHA");
-                }
-            }
         }
 
         return errors;