Index: main/plugin-forms/stylesheets/docbook2html.xsl
===================================================================
--- main/plugin-forms/stylesheets/docbook2html.xsl	(revision 37908)
+++ main/plugin-forms/stylesheets/docbook2html.xsl	(working copy)
@@ -52,10 +52,10 @@
                         divinput.removeClass(ERROR_CLASSNAME2);
 
 					    input.removeClass(ERROR_CLASSNAME + " " + ERROR_CLASSNAME + "-" + type);
-						input.attr('title', input.attr('oldtitle'));
+						input.prop('title', input.prop('oldtitle'));
 						
 						label.removeClass(ERROR_CLASSNAME);
-                        label.attr('title', label.attr('oldtitle'));
+                        label.prop('title', label.prop('oldtitle'));
 					}
 					
 					function error(id, type, message)
@@ -66,19 +66,19 @@
 
                          divinput.addClass(ERROR_CLASSNAME2);
 
-						var currentMessage = input.attr('title');
-						input.attr('oldtitle', currentMessage);
+						var currentMessage = input.prop('title');
+						input.prop('oldtitle', currentMessage);
 						currentMessage = currentMessage == null || currentMessage == "" ? message : currentMessage + " - " + message;
 
-                        var currentLabelMessage = label.attr('title');
-                        label.attr('oldtitle', currentLabelMessage);
+                        var currentLabelMessage = label.prop('title');
+                        label.prop('oldtitle', currentLabelMessage);
                         currentLabelMessage = currentLabelMessage == null || currentLabelMessage == "" ? message : currentLabelMessage + " - " + message;
 						
 						input.addClass(ERROR_CLASSNAME + " " + ERROR_CLASSNAME + "-" + type);
-						input.attr('title', currentMessage);
+						input.prop('title', currentMessage);
 						
 						label.addClass(ERROR_CLASSNAME);
-						label.attr('title', currentLabelMessage);
+						label.prop('title', currentLabelMessage);
 
 						errors_<xsl:value-of select="translate(@id, '-', '_')"/>++;
 					}
@@ -131,7 +131,7 @@
 				
 				<xsl:if test="@target or ($rendering-context='back' or $rendering-context='')">
 					<script type="text/javascript">
-					    $j('#<xsl:value-of select="$id"/>').attr('target', "_blank");
+					    $j('#<xsl:value-of select="$id"/>').prop('target', "_blank");
 					</script>
 				</xsl:if>
 		
@@ -234,10 +234,10 @@
 			<script type="text/javascript">
 				var odp = $j("#<xsl:value-of select="@id"/>");
 				var ndp = odp.clone();
-				ndp.attr('id', ndp.attr('id') + '-clone');
-				ndp.attr('name', null);
-				ndp.attr('value', '');
-                ndp.attr('maxlength', '');
+				ndp.prop('id', ndp.prop('id') + '-clone');
+				ndp.prop('name', null);
+				ndp.prop('value', '');
+                ndp.prop('maxlength', '');
                 ndp.keydown(function (event) {
                     if (event.which == 46 || event.which == 8) // del or backspace
                     {
@@ -245,17 +245,17 @@
                     }
                 });
                     
-				if (odp.attr("value") != "")
+				if (odp.prop("value") != "")
 				{
 					$j(document).ready(function () 
 					{
-						var existingDateAsString =  odp.attr("value");
+						var existingDateAsString =  odp.prop("value");
 						var existingDate = $j.datepicker.parseDate('yy-mm-dd', existingDateAsString);
 						var reformatedDateAsString = $j.datepicker.formatDate('<i18n:text key="PLUGINS_WEB_FOWIDGET_DATE_FORMAT" i18n:catalogue="plugin.web"/>', existingDate); 
-						ndp.attr('value', reformatedDateAsString);
+						ndp.prop('value', reformatedDateAsString);
 					});
 				}
-				ndp.attr('readonly', 'readonly');
+				ndp.prop('readonly', 'readonly');
 				ndp.appendTo(odp.parent());
                 odp.css('visibility', 'hidden');
 				odp.css('position', 'absolute');
@@ -311,19 +311,19 @@
         <xsl:variable name="valueId" select="translate(@id, '-', '_')"/>
 		reset("<xsl:value-of select="@id"/>", "<xsl:value-of select="@type"/>");
 		<xsl:if test="@mandatory = 'true'">
-			if ($j("#<xsl:value-of select="@id"/>").attr('value') == '')
+			if ($j("#<xsl:value-of select="@id"/>").prop('value') == '')
 			{
 				error("<xsl:value-of select="@id"/>", "text", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_TEXT_MANDATORY" i18n:catalogue="plugin.forms"/>");
 			}
 		</xsl:if>
 		<xsl:if test="@confirmation = 'true'">
-			if ($j("#<xsl:value-of select="@id"/>").attr('value') != $j("#<xsl:value-of select="@id"/>_confirmation").attr('value'))
+			if ($j("#<xsl:value-of select="@id"/>").prop('value') != $j("#<xsl:value-of select="@id"/>_confirmation").prop('value'))
 			{
 				error("<xsl:value-of select="@id"/>", "text", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_TEXT_CONFIRMATION" i18n:catalogue="plugin.forms"/>");
 			} 
 		</xsl:if>
 
-		var value_<xsl:value-of select="$valueId"/> = $j("#<xsl:value-of select="@id"/>").attr('value');
+		var value_<xsl:value-of select="$valueId"/> = $j("#<xsl:value-of select="@id"/>").prop('value');
 		<xsl:choose>
 			<xsl:when test="not(@regexptype) or @regexptype = '' or @regexptype = 'text'">
 				<xsl:if test="@minvalue and @minvalue != ''">
@@ -512,25 +512,25 @@
 	<xsl:template match="html:input[@type='password']" mode="form-check">
 		reset("<xsl:value-of select="@id"/>", "<xsl:value-of select="@type"/>");
 		<xsl:if test="@mandatory = 'true'">
-			if ($j("#<xsl:value-of select="@id"/>").attr('value') == '')
+			if ($j("#<xsl:value-of select="@id"/>").prop('value') == '')
 			{
 				error("<xsl:value-of select="@id"/>", "password", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_PASSWORD_MANDATORY" i18n:catalogue="plugin.forms"/>");
 			}
 		</xsl:if>
 		<xsl:if test="@confirmation = 'true'">
-			if ($j("#<xsl:value-of select="@id"/>").attr('value') != $j("#<xsl:value-of select="@id"/>_confirmation").attr('value'))
+			if ($j("#<xsl:value-of select="@id"/>").prop('value') != $j("#<xsl:value-of select="@id"/>_confirmation").prop('value'))
 			{
 				error("<xsl:value-of select="@id"/>", "password", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_PASSWORD_CONFIRMATION" i18n:catalogue="plugin.forms"/>");
 			} 
 		</xsl:if>
 		<xsl:if test="@minvalue and @minvalue != ''">
-			if ($j("#<xsl:value-of select="@id"/>").attr('value') != '' &amp;&amp; $j("#<xsl:value-of select="@id"/>").attr('value').length &lt; <xsl:value-of select="@minvalue"/>)
+			if ($j("#<xsl:value-of select="@id"/>").prop('value') != '' &amp;&amp; $j("#<xsl:value-of select="@id"/>").prop('value').length &lt; <xsl:value-of select="@minvalue"/>)
 			{
 				error("<xsl:value-of select="@id"/>", "password", "<i18n:translate><i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_PASSWORD_MINLENGTH" i18n:catalogue="plugin.forms"/><i18n:param><xsl:value-of select="@minvalue"/></i18n:param></i18n:translate>");
 			}
 		</xsl:if>
 		<xsl:if test="@regexp and @regexp != ''">
-			if (!<xsl:value-of select="decoder:decode(@regexp)"/>.test($j("#<xsl:value-of select="@id"/>").attr('value')))
+			if (!<xsl:value-of select="decoder:decode(@regexp)"/>.test($j("#<xsl:value-of select="@id"/>").prop('value')))
 			{
 				error("<xsl:value-of select="@id"/>", "password", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_PASSWORD_REGEXP" i18n:catalogue="plugin.forms"/>");
 			}
@@ -540,7 +540,7 @@
 	<xsl:template match="html:input[@type='checkbox']" mode="form-check">
 		reset("<xsl:value-of select="@id"/>", "<xsl:value-of select="@type"/>");
 		<xsl:if test="@mandatory = 'true'">
-			if (!$j("#<xsl:value-of select="@id"/>").attr('checked'))
+			if (!$j("#<xsl:value-of select="@id"/>").prop('checked'))
 			{
 				error("<xsl:value-of select="@id"/>", "checkbox", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_CHECKBOX_MANDATORY" i18n:catalogue="plugin.forms"/>");
 			}
@@ -554,7 +554,7 @@
 			if (<xsl:text/>
 				<xsl:for-each select="ancestor::html:form//html:input[@type='radio' and @name=$name]">
 					<xsl:if test="position() != 1"><xsl:text> &amp;&amp; </xsl:text></xsl:if>
-					<xsl:text/>!$j("#<xsl:value-of select="@id"/>").attr('checked')<xsl:text/>
+					<xsl:text/>!$j("#<xsl:value-of select="@id"/>").prop('checked')<xsl:text/>
 				</xsl:for-each>
 			   <xsl:text/>)
 			{
@@ -597,7 +597,7 @@
 	<xsl:template match="html:input[@type='file']" mode="form-check">
 		reset("<xsl:value-of select="@id"/>", "<xsl:value-of select="@type"/>");
 		<xsl:if test="@mandatory = 'true'">
-			if ($j("#<xsl:value-of select="@id"/>").attr('value') == '')
+			if ($j("#<xsl:value-of select="@id"/>").prop('value') == '')
 			{
 				error("<xsl:value-of select="@id"/>", "file", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_FILE_MANDATORY" i18n:catalogue="plugin.forms"/>");
 			}
@@ -606,7 +606,7 @@
 		<xsl:if test="@fileextension">
 			var authorized_extensions_<xsl:value-of select="translate(@id, '-', '_')"/> = [<xsl:call-template name="form-check-file-buildextensions"><xsl:with-param name="extensions" select="@fileextension"/><xsl:with-param name="first" select="true()"/></xsl:call-template>];
 			
-			var file_<xsl:value-of select="translate(@id, '-', '_')"/> = $j("#<xsl:value-of select="@id"/>").attr('value');
+			var file_<xsl:value-of select="translate(@id, '-', '_')"/> = $j("#<xsl:value-of select="@id"/>").prop('value');
 			var file_extension_<xsl:value-of select="translate(@id, '-', '_')"/> = file_<xsl:value-of select="translate(@id, '-', '_')"/>.substring(file_<xsl:value-of select="translate(@id, '-', '_')"/>.lastIndexOf("."));
 
 			var isGood_<xsl:value-of select="translate(@id, '-', '_')"/> = file_extension_<xsl:value-of select="translate(@id, '-', '_')"/> == '' || authorized_extensions_<xsl:value-of select="translate(@id, '-', '_')"/>.length == 0;
@@ -649,7 +649,7 @@
 	<xsl:template match="html:textarea" mode="form-check">
 		reset("<xsl:value-of select="@id"/>", "textarea");
 		<xsl:if test="@mandatory = 'true'">
-			if (/^\s*$/.test($j("#<xsl:value-of select="@id"/>").attr('value')))
+			if (/^\s*$/.test($j("#<xsl:value-of select="@id"/>").prop('value')))
 			{
 				error("<xsl:value-of select="@id"/>", "textarea", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_TEXTAREA_MANDATORY" i18n:catalogue="plugin.forms"/>");
 			}
@@ -754,7 +754,7 @@
 	
 	<xsl:template match="html:captcha" mode="form-check">
 		reset("<xsl:value-of select="@id"/>", "captcha");
-		if (!/^[a-z]{6}$/.test($j("#<xsl:value-of select="@id"/>").attr('value')))
+		if (!/^[a-z]{6}$/.test($j("#<xsl:value-of select="@id"/>").prop('value')))
 		{
 			error("<xsl:value-of select="@id"/>", "captcha", "<i18n:text i18n:key="PLUGINS_FORMS_FORMS_RENDER_ERROR_CAPTCHA" i18n:catalogue="plugin.forms"/>");
 		}